Name:       pddl_parser
Release:    2021
Version:    0.4.1.0.git.44.06f13893%{?dist}
Summary:    A C++ PDDL parser utilizing boost spirit.

License:    GPLv2+
URL:        https://github.com/fawkesrobotics/pddl_parser
VCS:        git+https://github.com/fawkesrobotics/pddl_parser.git#06f138937ebb811a06b7a00bf4604ae8d3318c2a:

Source: pddl_parser-06f13893.tar.gz

BuildRequires: g++ boost-devel cmake spdlog-devel

%package devel
Requires:	%{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Summary: pddl_parser development files

%description
A C++ PDDL parser utilizing boost spirit. Provides syntactic and semantic
checks. Tested by parsing all problems from the IPC 2014.

%description devel
This package contains necessary headers files for integrating the pddl_parser

%prep
%setup -T -b 0 -q -n pddl_parser

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.md
%{_libdir}/libpddl_parser.so.*
%{_bindir}/pddl_check

%files devel
%{_includedir}/pddl_parser
%{_libdir}/libpddl_parser.so
%{_libdir}/cmake/PddlParser
%{_libdir}/pkgconfig/pddl_parser.pc

%changelog
